Skip to main content
POST
Resend a code

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

session_id
string
required

The unique ID of the 2FA verification session.

Example:

"2953d4308f2e11ecb75fcdafd6d2d687"

Body

application/json

Channel to resend the OTP over.

channel
enum<string>
required

Channel used to resend the verification code. One of sms (sent as a text message) or voice (read aloud over a phone call).

Available options:
sms,
voice
Example:

"voice"

Response

Returns the resend result, including the channel used.

success
boolean
required

Indicates whether the verification code was successfully sent

Example:

true

channel
string
required

Indicates whether the code was sent via an SMS or a voice call

Example:

"voice"

destination
string
required

The destination phone number the code was sent to

Example:

"447919433768"

created_at
string<date-time>
required

Date and time the code was sent

Example:

"2022-02-16T13:41:38.000Z"